Status: New Priority: Should have
Author: Thomas Hempel Category: Package
Created: 2013-12-16 Assigned To:
Updated: 2013-12-28 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: Flow 2.0.0
Subject: Missing Version Number in packages
Description

There is no information about the version number of a package if installed.

This is bad because I can't check what version is actually installed. This is especially bad when you install Neos with all it's
dependencies via composer. (I have that problem right now, that my composer file says 1.0.1 but it looks like v 1.0.0 is actually
installed)

It also prevents me from remotely checking version numbers via systems like caretaker as I have no way of getting the version of all
installed packages.

Can you please add the version number to the composer.json for example?

Best wishes,
Thomas Hempel

History
#1 - 2013-12-16 17:09 - Bastian Waidelich
- Project changed from TYPO3 Flow Base Distribution to TYPO3.Flow

#2 - 2013-12-16 17:12 - Bastian Waidelich
- Category set to Package
- Has patch set to No

FYI if you use composer you can use the show command to display the package version

#3 - 2013-12-28 18:13 - Chr is

Exposing version numbers in public is w.r.t. known (zero day-)exploits not a good idea.

But those version numbers should be displayed in package management view within Neos backend for the administrator!
http://getcomposer.org/doc/03-cli.md#show

